html, body {
    margin: 0;
    line-height: normal;
    font-family: var(--font-open-sans);
}

html {
    font-size: 16px;
}

@media (max-width: 960px) {
    html {
        font-size: 14px; /* smaller root font for mobile */
    }
}

@media (max-width: 850px) {
    html {
        font-size: 12px; /* smaller root font for mobile */
    }
}

@media (max-width: 730px) {
    html {
        font-size: 10px; /* smaller root font for mobile */
    }
}

@media (max-width: 450px) {
    html {
        font-size: 8px; /* smaller root font for mobile */
    }
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 0.0625rem solid #26b050;
}

.invalid {
    outline: 0.0625rem solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -0.0625rem 0.125rem rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

@font-face {
    font-family: 'Open Sans';
    src: url('./fonts/OpenSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

:root {
    /* fonts */
    --font-open-sans: 'Open Sans', sans-serif;
    --eaton-headline-small: 'Open Sans', sans-serif;
    /* font sizes */
    --font-size-3xs: 0.625rem;
    --font-size-xs: 0.75rem;
    --font-size-sm: 0.875rem;
    --font-size-base: 1rem;
    --font-size-xl: 1.25rem;
    --font-size-4xl: 1.5rem;
    --eaton-headline-size: var(--font-size-4xl);
    /* Colors */
    --primary-white-50: #fff;
    --primary-white-100: #fbfbfb;
    --primary-white-200: #f7f8f8;
    --primary-blue-50: #e0eef8;
    --primary-blue-200: #80bde0;
    --primary-blue-500: #007bc1;
    --primary-black-500: #424e54;
    --primary-gray-50: #eef0f0;
    --primary-gray-200: #9b9b9b;
    --primary-gray-500: #727e84;
    --primary-gray-600: rgb(66 78 84 / 75%);
    --status-red-500: #ca3c3d;
    --status-green-700: #2ca618;
    --status-yellow-500: #f0cb2f;
    --search-input: #f2f2f2;
    --icons-color: #737374;
    --header-background: #dae4e8;
    --other-divider: rgba(66, 78, 84, 0.12);
    --other-disabled: rgba(66, 78, 84, 0.3);
    --primary-blue-highlight: rgba(0, 123, 193, 0.05);
    --other-dark-theme-divider: rgba(161, 167, 170, 0.36);
    /* Gaps */
    --gap-9xs: 0.25rem;
    --gap-5xs: 0.5rem;
    --gap-3xs: 0.625rem;
    --gap-base: 1rem;
    --gap-5xl: 1.5rem;
    --gap-11xl: 2rem;
    /* Paddings */
    --padding-9xs: 0.25rem;
    --padding-5xs: 0.5rem;
    --padding-4xs-5: 0.5rem;
    --padding-xs: 0.75rem;
    --padding-base: 1rem;
    --padding-5xl: 1.5rem;
    --padding-11xl: 2rem;
    /* Border radiuses */
    --br-11xs: 0.125rem;
    --br-9xs: 0.25rem;
    --br-5xs: 0.5rem;
    --br-xl: 1.25rem;
    /* Effects */
    --dp: 0rem 0.125rem 0.25rem -0.0625rem rgba(0, 0, 0, 0.2), 0rem 0.25rem 0.3125rem rgba(0, 0, 0, 0.14), 0rem 0.0625rem 0.625rem rgba(0, 0, 0, 0.12);
    --dp1: 0rem 0.125rem 0.0625rem -0.0625rem rgba(0, 0, 0, 0.2), 0rem 0.0625rem 0.0625rem rgba(0, 0, 0, 0.14), 0rem 0.0625rem 0.1875rem rgba(0, 0, 0, 0.12);
    --dp2: 0rem 0.1875rem 0.3125rem -0.0625rem rgba(0, 0, 0, 0.2), 0rem 0.375rem 0.625rem rgba(0, 0, 0, 0.14), 0rem 0.0625rem 1.125rem rgba(0, 0, 0, 0.12);
}
